Subject: [Tools-discuss] 3rd party SDO cross-referencing of IETF work (was: Re: Chair/datatracker tracking expired WG documents ?)

From: 'Toerless Eckert' <[email-masked]>
Date: Fri, 25 Mar 2022 11:48:00 +0100

Added rfc-interest. Not sure this is ideal set of lists, but hopefully better

I think i have a proposal that would not only solve (i hope) what Pascal is concerned about,
but would also be (IMHO) very useful for the RFC series:

How about we do crearte on datatracker a mechanism to officially register a third-party reference
to a particular IETF document. Draft or RFC.

Everybody who writes an external document could create such a third-party reference.
We'd have to discuss access control if its abused.

The one benefit (which i was interested in) would be that we would finally start getting
some inight if/where our documents are being used elsewhere in the industry. Especially 
given how a lot of industry bodies  work with closed documents, it is completely
impossible to just scrape the Internet to find uses (as its "kinda" done in the research
world). Especially now that we're trying to reach out to more external SDO in IoT,
Media operations or other industrial verticals, something like this would hopefully
be timely.

The other benefit would be that whoever creates the reference would (automatically) get
status updates about the document. So the foreign SDO document editor or manager could
use this to track the IETF reference and status.

Depending on what we put into such "foreign reference" (to be filled out when it's
created/updated), we would likely be able to satisfy more work-flows.

Cheers
    Toerless

On Fri, Mar 25, 2022 at 10:28:20AM +0000, Pascal Thubert (pthubert) wrote:
> Along the same line (though a different problem that we'd need to fork as a separate thread) is our wording for IETF references.
> At the moment we indicate that external specs (think say IEEE) must not reference drafts. But when the draft stalls before RFC, this makes the reference completely unusable. Makes no sense to me, and hardly reflected in practice. A better practice would be how we eat our own dogfood, which is that a draft must not be a normative reference when standard X is published, whether by IETF or else.
> 
> Interested in following that up too? If so please fork.
> 
> Note: this can effectively hurt. Within the last year or 2, I faced that issue with both IEEE and ETSI. At ETSI it was mostly theoretical and we kinda forced our way to reference I-drafts arguing that the doc we are writing is not a standard. OTOH, at IEEE that was harder. We had text in 802.11md about the proxy ARP function and the fact that there's also IPv6 to care about. Incidentally, the text cited a draft in progress for the proxy ND operation (now RFC 8929) as an informational reference (all non-IEEE references are informational). At the last minute, the whole change was removed from .11md on the grounds that the I-D reference was not RFC, and the text was frozen for publication. At that time, the I-draft had been waiting for its turn in the RFC Editor queue for months. The RFC was pulled from the RFC editor queue and published within weeks after the freeze. I discovered the .11 removal only later, appealed, but the freeze is immutable.
> 
> Keep safe;
> 
> Pascal 
> 
> > -----Original Message-----
> > From: WGChairs <[email-masked]> On Behalf Of Henk Birkholz
> > Sent: vendredi 25 mars 2022 10:40
> > To: Valery Smyslov <[email-masked]>; 'Toerless Eckert'
> > <[email-masked]>; 'Tools Team Discussion' <[email-masked]>;
> > [email-masked]
> > Subject: Re: Chair/datatracker tracking expired WG documents ?
> > 
> > Coincidentally, I was expressing the expressing the exact same sentiment
> > in a side-discussion two days ago. I'd really appreciate that feature,
> > both as a chair and a contributor.
> > 
> > On 25.03.22 09:04, Valery Smyslov wrote:
> > > Hi,
> > >
> > >> Is there a way for datatracker on a WG's page to (automatically) show
> > expired WG documents ?
> > >>
> > >> I have one such draft in my WG and it wouldn't show up on the WG
> > page.
> > >> Of course, in general one may not want to bother about expired drafts
> > >> unless explicitly added, but for WG document IMHO, it would be great
> > >> if they would automatically show up in in the WG section unless their
> > >> status is maybe accordingly updated or the like
> > >
> > > I also think this feature would be useful, because now the expired WG
> > > document is not shown at all at the WG page and it's sometimes
> > > difficult to find it (you need to remember the name).
> > >
> > > Regards,
> > > Valery.
> > >
> > >> Thanks
> > >>      Toerless
> > >
> > >
> 

-- 
---
[email-masked]